.is-invalid,
.error,
.has-error {
    border-color: #dc3545 !important;
}

.select2-container--default .select2-selection.is-invalid,
.select2-container--default .select2-selection.has-error {
    border-color: #dc3545 !important;
}

.select2-dropdown-force-below,
.select2-dropdown--below {
    z-index: 9999;
}

.modal .select2-dropdown-force-below,
.modal .select2-dropdown--below {
    z-index: 1065;
}

.modal-content .select2-dropdown-force-below,
.modal-content .select2-dropdown--below {
    z-index: 1065;
}

.modal-content {
    overflow: visible;
}

.select2-container--above .select2-dropdown {
    border-top: 1px solid #aaa;
    border-bottom: 1px solid #aaa;
}

.dropup .dropdown-menu,
.dropdown-menu[x-placement^="top"] {
    top: 100% !important;
    bottom: auto !important;
    transform: none !important;
}

.form-submit-disabled,
button[disabled].form-submit-disabled {
    cursor: wait;
    opacity: .7;
}
